Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.directory
Class OBDARegistryParser

    java.lang.Object
      org.biojava.directory.OBDARegistryParser

    public class OBDARegistryParser

extends Object

This class encapsulates all the parsing of the OBDA registry configuration file.

Version:
  $Revision: 2591 $
Author:
  Brian Gilman, Thomas Down, Keith James

Constructor Summary
`OBDARegistryParser()`

Method Summary
`static RegistryConfiguration` | `parseRegistry(BufferedReader in, String locator)` `parseRegistry` parses an Open Bioinformatics Database Access (OBDA) configuration file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OBDARegistryParser

    public OBDARegistryParser()

Method Detail

### parseRegistry

    public static RegistryConfiguration parseRegistry(BufferedReader in,
                                                      String locator)
                                               throws IOException,
                                                      RegistryException

  `parseRegistry` parses an Open Bioinformatics Database Access (OBDA) configuration file.

  Parameters:
    `in` - a `BufferedReader`.
    `locator` - a `String` a configuration file locator.
  Returns:
    a `RegistryConfiguration`.
  Throws:
    `IOException` - if an error reading the configuration file.
    `RegistryException` - if the configuration setup fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD